#include <stdint.h>
#include "memchunk.h"

typedef struct s_font {
	int		pixel_width;
	int		pixel_height;
	uint32_t	code_start;
	uint32_t	code_end;
	MemChunk	chunk;
} Font;

extern Font *		font_init(char *filename);
extern uint32_t *	font_search(Font *p_font, uint32_t code);
extern void		font_clear(Font *p_font);
